Bug 197370 - dillo fails to build in mock with minimal build environment.
dillo fails to build in mock with minimal build environment.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dillo (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-BuildReq
  Show dependency treegraph
 
Reported: 2006-06-30 13:04 EDT by Paul Howarth
Modified: 2013-01-09 22:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-05 05:01:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Build log with minimal environment (71.66 KB, text/plain)
2006-06-30 13:04 EDT, Paul Howarth
no flags Details

  None (edit)
Description Paul Howarth 2006-06-30 13:04:17 EDT
This package fails to build in mock if the minimal build group is reduced to
only the packages listed in the Exceptions section of the packaging guidelines.
 build.log is attached.

This problem can be fixed by adding a buildreq of gettext

A couple of other things I noticed:
1. The configure script looks for "fltk-config" (from fltk-devel, not a
buildreq), though the resulting RPM doesn't seem any different if fltk-devel is
present or not.

2. The configure script uses "which", not a buildreq (and included in the
minimal buildroot anyway, though I'm not convinced of the merits of that), and
again the resulting package does not appear to be any different if it's present
or not.
Comment 1 Paul Howarth 2006-06-30 13:04:18 EDT
Created attachment 131821 [details]
Build log with minimal environment
Comment 2 Andreas Bierfert 2006-07-01 03:49:03 EDT
Thanks... I will add gettext then.

For fltk: It currently does not build with it enabled. That is why I don't pull
the BR in so it has no chance ^^
and for 2 I don't know. If it is in the minimal buildreq it is probably ok right...
Comment 3 Paul Howarth 2006-07-01 08:50:53 EDT
(In reply to comment #2)
> Thanks... I will add gettext then.
> 
> For fltk: It currently does not build with it enabled. That is why I don't pull
> the BR in so it has no chance ^^

It's probably better to include the BR and make sure that the package still
builds OK with it (by forcing the non-detection of fltk if necessary, though
that's not needed at the moment); that way, anyone that downloads the SRPM and
tries to build it on a system with fltk-devel installed will still succeed.

> and for 2 I don't know. If it is in the minimal buildreq it is probably ok
right...

Yes, it's OK. If it was my package I'd add which as a BR as I don't think it's
an "obvious" development package, but you're not going to have any issues by
omitting it if that's your preference.
Comment 4 Andreas Bierfert 2006-07-05 05:01:13 EDT
Thanks for pointing this out. Fixed.

Note You need to log in before you can comment on or make changes to this bug.